Bug 194131 - cluster mirror copy status can give false (0.00) percent
cluster mirror copy status can give false (0.00) percent
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cmirror (Show other bugs)
4
All Linux
high Severity high
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-05 18:05 EDT by Corey Marthaler
Modified: 2010-01-11 21:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-05 17:31:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-06-05 18:05:52 EDT
Description of problem:
I was monitoring a mirror's copy percent inorder to test another bug's fix, and
saw this...

[root@taft-03 ~]# lvs
  LV          VG       Attr   LSize   Origin Snap%  Move Log              Copy%
  coreymirror mirror_1 mwi-a- 652.00M                    coreymirror_mlog  36.81
[root@taft-03 ~]# lvs
  LV          VG       Attr   LSize   Origin Snap%  Move Log              Copy%
  coreymirror mirror_1 mwi-a- 652.00M                    coreymirror_mlog   0.00
[root@taft-03 ~]# lvs
  LV          VG       Attr   LSize   Origin Snap%  Move Log              Copy%
  coreymirror mirror_1 mwi-a- 652.00M                    coreymirror_mlog  84.05
[root@taft-03 ~]# lvs
  LV          VG       Attr   LSize   Origin Snap%  Move Log              Copy%
  coreymirror mirror_1 mwi-a- 652.00M                    coreymirror_mlog  94.48
[root@taft-03 ~]# lvs
  LV          VG       Attr   LSize   Origin Snap%  Move Log              Copy%
  coreymirror mirror_1 mwi-a- 652.00M                    coreymirror_mlog 100.00

How reproducible:
I'll try and reproduce and grab more info...
Comment 2 Jonathan Earl Brassow 2006-07-06 00:00:13 EDT
is this really a blocker?  Have you been able to reproduce it?
Comment 4 Jonathan Earl Brassow 2006-10-24 17:06:54 EDT
I've added retry to the client-side query to try to avoid communication problems
when retrieving the sync %'age.  This doesn't eliminate the problem, but should
make it much harder to reproduce.
Comment 5 Corey Marthaler 2006-11-21 18:58:47 EST
Have not been able to reproduce this issue with the latest builds, marking verified.

[root@link-08 ~]# rpm -qa | grep lvm2
lvm2-cluster-debuginfo-2.02.06-7.0.RHEL4
lvm2-2.02.15-3
lvm2-cluster-2.02.15-3
[root@link-08 ~]# rpm -qa | grep cmirror
cmirror-kernel-debuginfo-2.6.9-13.0
cmirror-kernel-smp-2.6.9-15.5
cmirror-kernel-largesmp-2.6.9-13.0
cmirror-kernel-2.6.9-13.0
cmirror-1.0.1-0
cmirror-debuginfo-1.0.1-0
Comment 6 Chris Feist 2008-08-05 17:31:25 EDT
Closing as this has been fixed in the current (4.7) release.

Note You need to log in before you can comment on or make changes to this bug.